Bug 820119 - tomcat-lib: Bundled library
tomcat-lib: Bundled library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2012-05-09 04:30 EDT by Mikolaj Izdebski
Modified: 2012-12-19 03:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-09 04:30:20 EDT
tomcat-lib is bundling apache-commons-dbcp, an external library.

According to Fedora Java Packaging Guidelines this is unacceptable. See: https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software

Please remove this library from packaging and add it as external dependency.
Comment 1 Fedora Update System 2012-07-01 19:01:51 EDT
tomcat-7.0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcat-7.0.28-1.fc17
Comment 2 Fedora Update System 2012-07-02 18:25:00 EDT
Package tomcat-7.0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10134/tomcat-7.0.28-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-25 17:05:59 EDT
tomcat-7.0.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tomcat-7.0.29-1.fc17
Comment 4 Fedora Update System 2012-08-09 19:31:13 EDT
tomcat-7.0.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-09 17:00:56 EST
tomcat-7.0.33-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tomcat-7.0.33-1.fc16
Comment 6 Fedora Update System 2012-12-19 03:28:40 EST
tomcat-7.0.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.